//[datasource](../../../../../index.md)/[com.yandex.payment.sdk.datasource.bind.interfaces](../../../index.md)/[CardScreen](../../index.md)/[State](../index.md)/[SuccessPay](index.md)

# SuccessPay

[datasource]\
class [SuccessPay](index.md)(**pollingResult**: [PaymentPollingResult](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-polling-result/index.md)) : [CardScreen.State](../index.md)

Успешная оплата новой картой.

## Constructors

| | |
|---|---|
| [SuccessPay](-success-pay.md) | [datasource]<br>fun [SuccessPay](-success-pay.md)(pollingResult: [PaymentPollingResult](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-polling-result/index.md)) |

## Properties

| Name | Summary |
|---|---|
| [pollingResult](polling-result.md) | [datasource]<br>val [pollingResult](polling-result.md): [PaymentPollingResult](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-polling-result/index.md)<br>статус поллинга |
